### Method

# Shumate VectorReaderIter get_feature_point

unstable since: 1.2

#### Declaration [src]

    gboolean
    shumate_vector_reader_iter_get_feature_point (
      ShumateVectorReaderIter* self,
      double* x,
      double* y
    )

#### Description [src]

Gets the coordinates of the current feature in tile space, if the feature is a single point.

See `shumate_vector_reader_iter_get_layer_extent()` to get the range of the coordinates.

It is an error to call this function if the feature is not a single point. Use `shumate_vector_reader_iter_get_feature_geometry_type()` to check the feature’s geometry type.

Available since: 1.2

#### Parameters

`x`

  Type: `double*`

  The x coordinate of the point.

  The argument will be set by the function.
  The argument can be `NULL`.

`y`

  Type: `double*`

  The y coordinate of the point.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `gboolean`

`TRUE` if the feature is a point, `FALSE` otherwise.